'use strict';

var editor = require('./editor.js');
var types = require('./types.js');
require('ricos-types');
require('./consts.js');
require('ricos-schema');
require('./getAddButtons.js');
require('wix-rich-content-editor-common');
require('wix-rich-content-plugin-commons');
require('./toolbar/imagePluginService.js');
require('lodash');
require('./icons/InsertPluginIcon.js');
require('react');
require('./getToolbarButtons.js');
require('wix-rich-content-toolbars-ui');
require('./image-editor-modal/image-editor-modal.js');
require('ricos-context');
require('./imageStudio/image-editor-logic.js');
require('./imageStudio/image-studio-opener-loader.js');
require('./settings/settings.js');
require('@wix/design-system');
require('wix-rich-content-ui-components');
require('./dataHooks.js');
require('./settings/use-spoiler-plugin.js');
require('ricos-content');
require('./toolbar/ImageEditorButton.js');
require('./tiptap/tiptap.js');
require('ricos-schema/dist/statics/image.defaults.json');
require('./tiptap/component.js');
require('./viewer/get-image-click-action-config.js');
require('./viewer/image.js');
require('classnames');
require('./image-viewer.rtlignore-f6a3b7a2.js');
require('./style-inject.es-e29c91b9.js');
require('./icons/expand.js');
require('./viewer/image-container.js');
require('./viewer/use-custom-width-style.js');
require('./viewer/use-fallback-width-style.js');
require('./viewer/use-image-dimensions.js');
require('./viewer/use-image-social-attributes.js');
require('./tiptap/editor-image-caption.js');
require('./InPluginInput.js');



exports.pluginImage = editor.pluginImage;
exports.IMAGE_TYPE = types.IMAGE_TYPE;
exports.IMAGE_TYPE_LEGACY = types.IMAGE_TYPE_LEGACY;
//# sourceMappingURL=index.js.map
