'use strict';

const getImageClickActionConfig = ({
  imageData,
  config,
  expand
}) => {
  var _a, _b;
  if (((_a = imageData == null ? void 0 : imageData.link) == null ? void 0 : _a.url) && config) {
    return { type: "link" };
  }
  if ((_b = imageData == null ? void 0 : imageData.link) == null ? void 0 : _b.anchor) {
    return { type: "anchor" };
  }
  if (expand) {
    return { type: "expand", onClick: expand };
  }
  return { type: "regular" };
};

exports.getImageClickActionConfig = getImageClickActionConfig;
//# sourceMappingURL=get-image-click-action-config.js.map
