'use strict';

var classNames = require('classnames');
var React = require('react');
var imageViewer_rtlignore = require('../image-viewer.rtlignore-f6a3b7a2.js');
require('../style-inject.es-e29c91b9.js');

function _interopDefaultCompat (e) { return e && typeof e === 'object' && 'default' in e ? e : { default: e }; }

var classNames__default = /*#__PURE__*/_interopDefaultCompat(classNames);
var React__default = /*#__PURE__*/_interopDefaultCompat(React);

const ViewerImageCaption = ({
  imageType,
  caption,
  defaultCaption
}) => {
  const isLinkImage = imageType === "link" || imageType === "anchor";
  const classes = classNames__default.default(imageViewer_rtlignore.styles.imageCaption, { [imageViewer_rtlignore.styles.link]: isLinkImage });
  if (!caption || caption === defaultCaption) {
    return null;
  }
  return /* @__PURE__ */ React__default.default.createElement("figcaption", { dir: "auto", className: classes }, caption);
};

exports.ViewerImageCaption = ViewerImageCaption;
//# sourceMappingURL=viewer-image-caption.js.map
