import loadable from '@loadable/component';
import React, { useMemo } from 'react';
import { Node_Type } from 'ricos-types';

var __defProp = Object.defineProperty;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __objRest = (source, exclude) => {
  var target = {};
  for (var prop in source)
    if (__hasOwnProp.call(source, prop) && exclude.indexOf(prop) < 0)
      target[prop] = source[prop];
  if (source != null && __getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(source)) {
      if (exclude.indexOf(prop) < 0 && __propIsEnum.call(source, prop))
        target[prop] = source[prop];
    }
  return target;
};
const ImageRenderer = (_a) => {
  var _b = _a, {
    node,
    nodeIndex,
    NodeViewContainer
  } = _b, props = __objRest(_b, [
    "node",
    "nodeIndex",
    "NodeViewContainer"
  ]);
  const ViewerImage = useMemo(
    () => loadable(() => import(
      /* webpackChunkName: "ricos_plugin_image" */
      './viewer-image.js'
    )),
    []
  );
  return /* @__PURE__ */ React.createElement(
    ViewerImage,
    __spreadValues({
      key: node.id,
      node,
      nodeIndex,
      NodeViewContainer
    }, props)
  );
};
const ImageLoadable = (_c) => {
  var _d = _c, { node } = _d, props = __objRest(_d, ["node"]);
  return /* @__PURE__ */ React.createElement(ImageRenderer, __spreadValues({ key: node.id, node }, props));
};
const nodeViewRenderers = {
  [Node_Type.IMAGE]: ImageLoadable
};

export { nodeViewRenderers };
//# sourceMappingURL=node-view-renderers-loadable.js.map
