import type { ChangeEventHandler, FocusEventHandler, KeyboardEventHandler } from 'react';
import React, { Component } from 'react';
interface Props {
    className: string;
    value: string;
    onChange: (caption: string) => void;
    setFocusToBlock: () => void;
    setInPluginEditingMode: (shouldEnable: boolean) => void;
}
declare class InPluginInput extends Component<Props> {
    static defaultProps: {
        setInPluginEditingMode: () => boolean;
        setFocusToBlock: () => boolean;
    };
    handleFocus: FocusEventHandler<HTMLTextAreaElement>;
    handleBlur: () => void;
    handleKeyPress: KeyboardEventHandler<HTMLTextAreaElement>;
    onChange: ChangeEventHandler<HTMLTextAreaElement>;
    render(): React.JSX.Element;
}
export default InPluginInput;
//# sourceMappingURL=InPluginInput.d.ts.map