declare module '@tiptap/core' {
    interface Commands<ReturnType> {
        image: {
            /**
             * Toggle a paragraph
             */
            setImageUrl: (url: string) => ReturnType;
            /**
             * Update Image's loading state
             */
            setImageLoading: (isLoading: boolean) => ReturnType;
        };
    }
}
export declare const tiptapExtensions: import("ricos-types").RicosNodeExtension<any, any>[];
//# sourceMappingURL=tiptap.d.ts.map