/// <reference types="react" />
import type { Node } from 'ricos-schema';
import type { ImagePluginViewerConfig } from '../types';
export type ImageClickActionHandle = (e: React.MouseEvent | React.KeyboardEvent) => void;
export type ImageClickActionConfig = {
    type: 'link' | 'anchor' | 'regular';
} | {
    type: 'expand';
    onClick: ImageClickActionHandle;
};
export declare const getImageClickActionConfig: ({ imageData, config, expand, }: {
    imageData: Node['imageData'];
    config?: ImagePluginViewerConfig | undefined;
    expand?: ImageClickActionHandle | undefined;
}) => ImageClickActionConfig;
//# sourceMappingURL=get-image-click-action-config.d.ts.map