import React from 'react';
import type { Node } from 'ricos-schema';
import type { Helpers, SEOSettings } from 'ricos-types';
import type { ImagePluginViewerConfig } from '../types';
import type { ImageClickActionConfig, ImageClickActionHandle } from './get-image-click-action-config';
type ImageViewerProps = {
    node: Node;
    isMobile: boolean;
    imageClickActionConfig: ImageClickActionConfig;
    shouldLazyLoadImages: boolean;
    captionComponent: React.ReactNode;
    helpers?: Helpers;
    config?: ImagePluginViewerConfig;
    expand?: ImageClickActionHandle;
    className?: string;
    dataUrl?: string;
    seoMode?: SEOSettings;
};
export declare const Image: ({ dataUrl, node, className, config, helpers, isMobile, seoMode, imageClickActionConfig, expand, captionComponent, shouldLazyLoadImages, }: ImageViewerProps) => React.JSX.Element;
export {};
//# sourceMappingURL=image.d.ts.map