'use strict';

var ricosSchema = require('ricos-schema');

const DEFAULTS = Object.freeze({
  config: {
    alignment: "center",
    size: "content",
    showTitle: true,
    showDescription: true
  }
});
const RICOS_DEFAULTS = Object.freeze({
  containerData: {
    alignment: ricosSchema.PluginContainerData_Alignment.CENTER,
    width: {
      size: ricosSchema.PluginContainerData_Width_Type.CONTENT
    },
    textWrap: true
  }
});
const DIVIDER = "divider";
const imageModals = {
  settings: `${ricosSchema.Node_Type.IMAGE}.settings`,
  imageEditor: `${ricosSchema.Node_Type.IMAGE}.imageEditor`
};
const IMAGE_BUTTONS = {
  size: `${ricosSchema.Node_Type.IMAGE}.size`,
  alignment: `${ricosSchema.Node_Type.IMAGE}.alignment`
};

exports.DEFAULTS = DEFAULTS;
exports.DIVIDER = DIVIDER;
exports.IMAGE_BUTTONS = IMAGE_BUTTONS;
exports.RICOS_DEFAULTS = RICOS_DEFAULTS;
exports.imageModals = imageModals;
//# sourceMappingURL=consts.js.map
