'use strict';

var classNames = require('classnames');
var React = require('react');
var imageViewer_rtlignore = require('../image-viewer.rtlignore-f6a3b7a2.js');
var InPluginInput = require('../InPluginInput.js');
require('../style-inject.es-e29c91b9.js');

function _interopDefaultCompat (e) { return e && typeof e === 'object' && 'default' in e ? e : { default: e }; }

var classNames__default = /*#__PURE__*/_interopDefaultCompat(classNames);
var React__default = /*#__PURE__*/_interopDefaultCompat(React);

const EditorImageCaption = ({
  onCaptionChange,
  imageType,
  caption
}) => {
  if (!caption)
    return null;
  const isLinkImage = imageType === "link" || imageType === "anchor";
  const classes = classNames__default.default(imageViewer_rtlignore.styles.imageCaption, { [imageViewer_rtlignore.styles.link]: isLinkImage });
  return /* @__PURE__ */ React__default.default.createElement(InPluginInput, { className: classes, value: caption, onChange: onCaptionChange });
};

exports.EditorImageCaption = EditorImageCaption;
//# sourceMappingURL=editor-image-caption.js.map
