'use strict';

var consts = require('./consts.js');
var types = require('./types.js');
var viewer_nodeViewRenderersLoadable = require('./viewer/node-view-renderers-loadable.js');
require('ricos-schema');
require('@loadable/component');
require('react');
require('ricos-types');

var __defProp = Object.defineProperty;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
const pluginImage = (config) => {
  return {
    config: __spreadValues(__spreadValues({}, consts.DEFAULTS.config), config),
    type: types.IMAGE_TYPE,
    nodeViewRenderers: viewer_nodeViewRenderersLoadable.nodeViewRenderers
  };
};

exports.IMAGE_TYPE = types.IMAGE_TYPE;
exports.pluginImage = pluginImage;
//# sourceMappingURL=viewer-loadable.js.map
