import { IMAGE_TYPE } from 'ricos-content';

const getExpandFunction = ({
  helpers,
  config,
  nodeId,
  imageData
}) => {
  const { onExpand, disableExpand } = config;
  if ((imageData == null ? void 0 : imageData.disableExpand) === true || disableExpand === true || !onExpand) {
    return;
  }
  return (e) => {
    var _a;
    e.preventDefault();
    (_a = helpers.onViewerAction) == null ? void 0 : _a.call(helpers, IMAGE_TYPE, "Click", "expand_image");
    onExpand(nodeId);
  };
};

export { getExpandFunction };
//# sourceMappingURL=get-expand-function.js.map
