import { Node_Type } from 'ricos-types';
import ImageRenderer from './viewer-image.js';
import 'react';
import 'ricos-context';
import '../types.js';
import './class-name-strategies.js';
import 'lodash';
import 'ricos-schema';
import '../style-inject.es-e7b07dd7.js';
import './get-expand-function.js';
import 'ricos-content';
import './get-image-click-action-config.js';
import './image.js';
import 'classnames';
import 'wix-rich-content-ui-components';
import '../image-viewer.rtlignore-ae1ccfe6.js';
import '../consts.js';
import '../icons/expand.js';
import './image-container.js';
import '../dataHooks.js';
import './use-custom-width-style.js';
import './use-fallback-width-style.js';
import './use-image-dimensions.js';
import './use-image-social-attributes.js';
import './viewer-image-caption.js';

const nodeViewRenderers = {
  [Node_Type.IMAGE]: ImageRenderer
};

export { nodeViewRenderers };
//# sourceMappingURL=node-view-renderers.js.map
